module PersonalHonor
  class Engine < Rails::Engine
  	initializer "personal_honor" do
  		OrbitApp.registration "PersonalHonor",:type=> 'ModuleApp' do
			module_label 'module_name.personal_honor'
			base_url File.expand_path File.dirname(__FILE__)  
			personal_plugin :enable => true, :sort_number => '50', :app_name=>"Honor", :intro_app_name=>"PersonalHonorIntro",:path=>"panel/personal_honor/plugin/profile",:front_path=>"panel/personal_honor/front_end/profile",:admin_path=>"/panel/personal_honor/back_end/honors",:i18n=>'module_name.personal_honor'

			version "0.1"
			organization "Rulingcom"
			author "RD dep"
			intro "I am intro"
			update_info 'some update_info'

			front_end do
				app_page 'honors' do 
				frontend_i18n "personal_honor.frontend.honors"
				end
			end   
		end
  	end
  end
end
